Bug 1006753 - nas: multiple vulnerabilities [fedora-all]
nas: multiple vulnerabilities [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nas (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-4256/CVE-2013-4258
  Show dependency treegraph
 
Reported: 2013-09-11 04:57 EDT by Ratul Gupta
Modified: 2014-07-02 09:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: nas-1.9.3-9.fc21
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 09:48:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed commit incorporating latest upstream fixes (30.22 KB, patch)
2013-09-14 16:05 EDT, Rex Dieter
no flags Details | Diff

  None (edit)
Description Ratul Gupta 2013-09-11 04:57:55 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Ratul Gupta 2013-09-11 04:58:05 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1006752,1006753
Comment 2 Rex Dieter 2013-09-14 15:57:32 EDT
Petr, you looking into this?  I had some time today, and I think got the upstream fixes ready to commit.
Comment 3 Rex Dieter 2013-09-14 16:05:14 EDT
Created attachment 797711 [details]
proposed commit incorporating latest upstream fixes
Comment 4 Rex Dieter 2013-09-14 16:07:57 EDT
hrm, bugzilla's view of that patch doesn't look quite right, but I think it works better of you download and view it separately.
Comment 5 Petr Pisar 2013-09-16 01:55:53 EDT
I read some upstream patches and I found new problems there and reported that to upstream on Thursday. I will have to review all the patches before I will commit it into Fedora.
Comment 6 Petr Pisar 2013-09-16 09:30:17 EDT
Rex, I do not want to mix security patches with other ones. I will apply only those referred in commit #4 of the parent bug report.
Comment 7 Fedora Update System 2013-09-17 03:48:36 EDT
nas-1.9.3-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nas-1.9.3-9.fc20
Comment 8 Fedora Update System 2013-09-17 03:48:57 EDT
nas-1.9.3-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nas-1.9.3-7.fc19
Comment 9 Fedora Update System 2013-09-17 03:49:27 EDT
nas-1.9.3-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nas-1.9.3-4.fc18
Comment 10 Fedora Update System 2013-09-26 02:24:15 EDT
nas-1.9.3-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-09-26 20:33:00 EDT
nas-1.9.3-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-09-26 20:40:12 EDT
nas-1.9.3-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.